MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024709Open CASCADE[OCCT] OCCT:WOKpublic2014-03-11 16:362015-07-23 17:04
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 6.9.0 
Summary0024709: Avoid generation of separate header files for Handle classes
DescriptionIn order to minimize amount of files in OCCT include folder, it is proposed to avoid generation of Handle_*.hxx files for CDL, generating definition of class and its Handle in the same header file. This will allow to decrease number of header files in include folder by ~ 3.500.

Naturally, in some cases when several classes refer to each other it can be feasible to keep definition of the Handle in separate header. This should be made on a case-by-case basis. For examples, see packages LDOM, TObj, OpenGl.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0024710closedbugmaster Avoid including Handle_Class.hxx headers except where necessary 
has duplicate 0024741closedkgv WOK - do not generate Handle_.hxx files 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-03-11 16:36 abv New Issue
2014-03-11 16:36 abv Assigned To => kgv
2014-03-11 16:37 abv Relationship added child of 0024002
2014-03-11 16:38 abv Relationship added parent of 0024710
2014-03-20 12:09 abv Description Updated View Revisions
2014-03-20 12:10 abv Relationship added has duplicate 0024741
2015-07-20 14:11 abv Status new => resolved
2015-07-20 14:11 abv Steps to Reproduce Updated View Revisions
2015-07-20 14:23 kgv Assigned To kgv => bugmaster
2015-07-20 14:23 kgv Status resolved => reviewed
2015-07-23 17:04 bugmaster Status reviewed => closed
2015-07-23 17:04 bugmaster Resolution open => fixed
2015-07-23 17:04 bugmaster Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker